<nav class="navbar navbar-default navbar-static-top">
  <div class="container-fluid">
    <!-- Brand and toggle get grouped for better mobile display -->
    <div class="navbar-header">
      <button type="button" class="navbar-toggle collapsed" data-toggle="collapse" data-target="#bs-example-navbar-collapse-1" aria-expanded="false">
        <span class="sr-only">Toggle navigation</span>
        <span class="icon-bar"></span>
        <span class="icon-bar"></span>
        <span class="icon-bar"></span>
      </button>

      <a routerLink="chat/chat-room" class="navbar-brand" (click)="onNavigate()">
        <span><img alt="Brand" src="assets/img/brand.ico" width="34px" height="34px"></span>
        ChatApp
      </a>
    </div>

    <!-- Collect the nav links, forms, and other content for toggling -->
    <div class="collapse navbar-collapse" id="bs-example-navbar-collapse-1">
      <ul class="nav navbar-nav navbar-right">
        <li *ngIf="!authService.loggedIn()" routerLinkActive="active" (click)="onNavigate()"><a routerLink="/login">Login</a></li>
        <li *ngIf="!authService.loggedIn()" routerLinkActive="active" (click)="onNavigate()"><a routerLink="/register">Register</a></li>
        <li *ngIf="authService.loggedIn()" routerLinkActive="active" (click)="onNavigate()"><a routerLink="/profile">Profile</a></li>
        <li *ngIf="authService.loggedIn()"><a href="#" (click)="onLogoutClick()">Logout</a></li>
      </ul>
    </div><!-- /.navbar-collapse -->
  </div><!-- /.container-fluid -->
</nav>
